function modifCodeGestionEntete(input, nameCG, path)
{
	value = $('#input_'+input).val();
	if(input=='SECTIMP_ENTETE'){
		$.ajax({
			url : path,
			type : 'POST',
			dataType : 'JSON',
			data: {'value' : value, 'type' : input.replace("_ENTETE", "")}, 
			success : function(json){				
				if(input=='SECTIMP_ENTETE'){
					// gestion affichage du CG
					if(json.MODIF_CODGES){
						$('#text_'+nameCG).removeAttr('readonly');
						$('#zoom_'+nameCG).show();
						$('#cgNull_').val(json.OBLIG_CODGES ? false : true);
						if(json.OBLIG_CODGES){						
							$('#CODEGESTION label span').show();
						}
						else{
							$('#CODEGESTION label span').hide();
						}
					}
					else{
						$('#input_'+nameCG).val('');
						$('#text_'+nameCG).val('').attr({'readonly': 'readonly', 'data-original-title' : ''}).removeClass('error');
						$('#zoom_'+nameCG).hide();
						$('#CODEGESTION label span').hide();
					}
				}
			}
		});
	}
}

function affichageCGLigne(input, path)
{
	// gestion affichage du CG
	value = $(input).val();
	numLigne = $(input).attr('id').replace("input_SECTIMP_", "");
	
	$.ajax({
		url : path,
		type : 'POST',
		dataType : 'JSON',
		data: {'value' : value, 'type' : 'SECTIMP'}, 
		success : function(json){
			if(json.MODIF_CODGES){
				$('#text_CODGES_'+numLigne).removeAttr('readonly');
				$('#zoom_CODGES_'+numLigne).show();
			}
			else{
				$('#input_CODGES_'+numLigne).val('');
				$('#text_CODGES_'+numLigne).val('').attr({'readonly': 'readonly', 'data-original-title' : ''}).removeClass('error');
				$('#zoom_CODGES_'+numLigne).hide();
			}
		}
	});
}

function enregistrementModificationGroupee(pathEnreg, param, confirmation)
{
	desactivePopup();
	if(!confirmation){
		enteteModif = 0;
		enteteVide = 0;
		$('[id^=MODIF_]').each(function() {
			if($(this).val() == 1){
				enteteModif = 1;
				if($(this).val() == ''){
					enteteVide = 1;
				}
			}
		});
		if(enteteModif == 0){
			activePopupErreur(param['pathError'], '',  param['msgNoEnteteCheck']);
			return false;
		}
		if(enteteVide){
			activePopupErreur(param['pathError'], '',  param['msgValeurVide']);
			return false;
		}
		if($('#MODIF_CODE_FOU').val() == 1 && $('#MODIF_DTELIVSOU').val() == 0){
			// si fournisseur modifié mais pas date de livraison, demander si modification des dates de livraison
			activePopupErreur(param['pathConfirmDateLiv'], '',  '', '', {'pathEnreg' : pathEnreg});
			return false;				
		}
		if($('.checkone:checked').length == 0){
			activePopupErreur(param['pathError'], '',  param['msgNoLignCheck']);
			return false;
		}
	}

	activeLoader();	
	$.ajax({
		dataType : 'html',
		url: pathEnreg,
		data: $('#form_modifgroupee').serialize(),
		type: "POST",
		success: function(result){
			desactiveLoader();
			refreshFonction('spanErreur', result);
			if($('#spanErreur').html()=='' || $('#spanErreur script').length == 2){
				refreshFonction('LignesDA', result);
				$('[id^=MODIF_]').val(0);
			}
            location.reload();
		}
	});
}